GETTIMEOFDAY(2)

NAME
gettimeofday - get date and time

SYNOPSIS
#include <sys/time.h>
int gettimeofday(struct timeval *tp, struct timezone *tzp)

DESCRIPTION
Gettimeofday returns the time in seconds and microseconds since epoch in GMT (midnight, january 1st, 1970). The timezone argument tzp is expected to be NULL.

RETURNS
0 on success, -1 on error. If -1 is returned, errno is set to indicate the error.

SEE ALSO
ctime(3).